/**
 * Dream
 * Copyright (C) 2003-2004 INRIA Rhone-Alpes
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: dream@objectweb.org
 *
 * Initial developer(s): Vivien Quema
 * Contributor(s): 
 */

package org.objectweb.dream;

import java.io.IOException;

/**
 * Sub class of <code>PushException</code> thrown when an IOException occured
 * while pushing a message.
 * 
 * @see java.io.IOException
 */
public class IOPushException extends PushException
{

  /**
   * @see PushException#PushException()
   */
  public IOPushException()
  {
    super();
  }

  /**
   * @see PushException#PushException(String)
   */
  public IOPushException(String message)
  {
    super(message);
  }

  /**
   * @see PushException#PushException(String, Throwable)
   */
  public IOPushException(String message, IOException cause)
  {
    super(message, cause);
  }

  /**
   * @see PushException#PushException(Throwable)
   */
  public IOPushException(IOException cause)
  {
    super(cause);
  }
}