/**
 * DREAM
 * Copyright (C) 2003 2004 INRIA Rhone-Alpes
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: dream@objectweb.org
 *
 * Initial developer(s): Matthieu Leclercq
 * Contributor(s): 
 */

package org.objectweb.dream.adl;

import java.util.HashMap;

import org.objectweb.fractal.adl.ADLException;
import org.objectweb.fractal.adl.Factory;

/**
 * Convenience class to retrieve a dream factory.
 */
public final class FactoryFactory
{

  /** Default Factory ADL name */
  public static final String FACTORY_NAME    = "org.objectweb.dream.adl.BasicFactory";

  /** Fractal Factory backend */
  public static final String FRACTAL_BACKEND = "org.objectweb.fractal.adl.FractalBackend";

  private FactoryFactory()
  {
  }

  /**
   * Returns a dream factory.
   * 
   * @see org.objectweb.fractal.adl.FactoryFactory#getFactory(java.lang.String,
   *      java.lang.String, java.util.Map)
   */
  public static Factory getFactory() throws ADLException
  {
    return org.objectweb.fractal.adl.FactoryFactory.getFactory(FACTORY_NAME,
        FRACTAL_BACKEND, new HashMap());
  }
}